Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

model_id
string
required

Body

application/json

A request to update a model.

name
string | null

New name for the model, unique within its team. Renaming does not change the model ID, endpoints, or deployments. Pushes that still use the old model_name create another model or target a model that now uses that name, so update config.yaml after renaming.

Required string length: 1 - 255
Example:

"my-model"

Response

200 - application/json

A model.

id
string
required

Unique identifier of the model

created_at
string<date-time>
required

Time the model was created in ISO 8601 format

name
string
required

Name of the model

deployments_count
integer
required

Number of deployments of the model

production_deployment_id
string | null
required

Unique identifier of the production deployment of the model

development_deployment_id
string | null
required

Unique identifier of the development deployment of the model

instance_type_name
string
required

Name of the instance type for the production deployment of the model

team_name
string
required

Name of the team associated with the model.